Redmine - Defect #8894

Private issues - make it more obvious in the UI?
2011-07-24 14:22 - Ahmed A

Status: Closed Start date: 2011-07-24
Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 1.3.0

Resolution: Fixed Affected version:

Description

Intro: Redmine is used at my organization (a consortium of hospitals) in the IT department ... and we are going to start rolling out to
other departments. If it fails to scale to thousands of users, well, I'm fired. :-)

But the point is that please make the "Private" label when adding new issues in red on a light red background. This idea of "private
issue" has a been a loud demand in my organization, and when one opens a new issue, the way it is styled now floating right, it
doesn't even register in my eye. | am immediately drawn to the fields on the left. | am sure other people will experience the same
effect.

| ended up adding the following to application.css

label|[for=issue_is_private]
{
color : red;
border : 2px solid red;
padding : Opx 4px 2px 0Opx;
background-color : #FFDFDF;
}

But it does not work in IE7 and below because it does not support CSS attribute selectors... what do you think of updating the output
of the page to include a specific ID for the label of the field? So now we could in theory write:

#issue_1is_private_label

{ ...}

And a humble thank you really to you and your team. We are thinking of contributing a bit to the effort by providing an Arabic
translation to the user interface.

Your work is stellar.

Associated revisions

Revision 6328 - 2011-07-30 11:06 - Jean-Philippe Lang
Adds an id attribute to the private label on the issue form (#8894).

History

#1 - 2011-07-24 15:12 - Etienne Massip
- Category changed from Issues to Ul

- Assignee deleted (Jean-Philippe Lang)

#2 - 2011-07-30 11:07 - Jean-Philippe Lang
- Status changed from New to Closed
- Target version set to 1.3.0

- Resolution set to Fixed

Attribute id="issue_is_private_label" added in r6328.

#3 - 2011-11-01 14:00 - Bruno Medeiros
https://www.redmine.org/projects/redmine/repository/svn/revisions/6328

The r6328 doesn't fix this issue, only allows the suggested solution to be implemented.

#4 - 2011-11-05 05:05 - Mischa The Evil

Bruno Medeiros wrote:

The r6328 doesn't fix this issue, only allows the suggested solution to be implemented.

This issue is fixed indeed imho. Jean-Philippe decided this is something that you should implement yourself via your own theme (or a modified core
theme) and therefore he added the id attribute. See HowTo_create_a_custom Redmine theme.
